Uploaded image for project: 'Jenkins Artifactory Plug-in'
  1. Jenkins Artifactory Plug-in
  2. HAP-889

MavenEmbedderUtils#getMavenVersion() leaks file descriptors

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: 2.9.0
    • Fix Version/s: 2.9.2
    • Component/s: Maven2, Maven3
    • Labels:
      None

      Description

      Hi,

      We just released a new version of lib-jenkins-maven-embedder 3.12 which is solving a file descriptor leak
      https://github.com/jenkinsci/lib-jenkins-maven-embedder/blob/master/CHANGELOG.md
      https://issues.jenkins-ci.org/browse/JENKINS-40621

      In this release we also updated several dependencies (sisu, guice, wagon) thus take care of changes it may do on your side.

      This new library is now used in the maven-plugin 2.15, you can review its dependencies updates between 2.14 and 2.15 to see what we had to change

      You can contact me if you need more details

      cheers

        Attachments

          Activity

            People

            • Assignee:
              romang Roman Gurevitch (Inactive)
              Reporter:
              aheritier Arnaud Héritier
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: